include(${CMAKE_CURRENT_LIST_DIR}/mimalloc.cmake)

if (CMAKE_CURRENT_LIST_DIR MATCHES "/lib/cmake/")
  get_filename_component(_INSTALL_PREFIX "${CMAKE_CURRENT_LIST_DIR}/../.." PATH)  # /usr/lib/cmake/mimalloc-2.0 -> /usr
  set(MIMALLOC_LIBRARY_DIR "${_INSTALL_PREFIX}/lib")
  set(MIMALLOC_INCLUDE_DIR "${_INSTALL_PREFIX}/include")
  unset(_INSTALL_PREFIX)
else()
  # if MI_INSTALL_TOPLEVEL==ON
  get_filename_component(MIMALLOC_SHARE_DIR "${CMAKE_CURRENT_LIST_DIR}" PATH)  # one up from the cmake dir
  set(MIMALLOC_LIBRARY_DIR "${MIMALLOC_SHARE_DIR}/lib")      
  set(MIMALLOC_INCLUDE_DIR "${MIMALLOC_SHARE_DIR}/include")  
endif()  
set(MIMALLOC_TARGET_DIR "${MIMALLOC_LIBRARY_DIR}") # legacy
